commit: 27aa78a3cb3996720d7d6c25f42efab4ebaac2a8
Author: Louis Sautier <sautier.louis <AT> gmail <DOT> com>
AuthorDate: Sat Jan 30 14:31:36 2016 +0000
Commit: Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Sat Jan 30 14:31:36 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=27aa78a3
net-p2p/torrentinfo: add Python 3.5
Package-Manager: portage-2.2.27
net-p2p/torrentinfo/torrentinfo-1.8.6.ebuild | 12 +++++-------
1 file changed, 5 insertions(+), 7 deletions(-)
diff --git a/net-p2p/torrentinfo/torrentinfo-1.8.6.ebuild
b/net-p2p/torrentinfo/torrentinfo-1.8.6.ebuild
index 6329cf3..0a9fdc6 100644
--- a/net-p2p/torrentinfo/torrentinfo-1.8.6.ebuild
+++ b/net-p2p/torrentinfo/torrentinfo-1.8.6.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="5"
-PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
inherit distutils-r1
@@ -16,11 +16,9 @@ SLOT="0"
KEYWORDS="amd64 x86"
IUSE="test"
-RDEPEND=""
-DEPEND="${RDEPEND}
- test? ( dev-python/nose[${PYTHON_USEDEP}] )
-"
+DEPEND="test? ( dev-python/nose[${PYTHON_USEDEP}] )"
python_test() {
- nosetests -v test/tests.py || die "Tests fail with ${EPYTHON}"
+ # tests sometimes fail, see bug #493682
+ nosetests test/tests.py || die "tests failed with ${EPYTHON}"
}